#ifndef _CONSTANTS_H
#define _CONSTANTS_H

#include "ports.h"

/****************/
/*** HARDWARE ***/
/****************/

#define LED_OFF 1
#define LED_ON 0

#define OUTPUT_PIN 0
#define INPUT_PIN 1

#define LEDR1_ON (LEDR1=LED_ON);
#define LEDR1_OFF (LEDR1=LED_OFF);
#define LEDG1_ON (LEDG1=LED_ON);
#define LEDG1_OFF (LEDG1=LED_OFF);
#define LEDB1_ON (LEDB1=LED_ON);
#define LEDB1_OFF (LEDB1=LED_OFF);

#define LEDR2_ON (LEDR2=LED_ON);
#define LEDR2_OFF (LEDR2=LED_OFF);
#define LEDG2_ON (LEDG2=LED_ON);
#define LEDG2_OFF (LEDG2=LED_OFF);
#define LEDB2_ON (LEDB2=LED_ON);
#define LEDB2_OFF (LEDB2=LED_OFF);

#define LEDR3_ON (LEDR3=LED_ON);
#define LEDR3_OFF (LEDR3=LED_OFF);
#define LEDG3_ON (LEDG3=LED_ON);
#define LEDG3_OFF (LEDG3=LED_OFF);
#define LEDB3_ON (LEDB3=LED_ON);
#define LEDB3_OFF (LEDB3=LED_OFF);

/************/
/*** LEDS ***/
/************/

#define LED_PERIOD_FREQ 100
#define TICKS_PER_PERIOD 256

#define DUTYR1 0
#define DUTYG1 1
#define DUTYB1 2

#define DUTYR2 3
#define DUTYG2 4
#define DUTYB2 5

#define DUTYR3 6
#define DUTYG3 7
#define DUTYB3 8

/***********/
/*** I2C ***/
/***********/
#define I2C_ADDR 0x61
#define STATE_WAIT_FOR_ADDR 0
#define STATE_READ_FROM_SLAVE 1
#define STATE_WRITE_TO_SLAVE 2
#define STATE_READ_FROM_SLAVE_LAST 3

#endif
