
#ifndef _PORT_H
#define _PORT_H

void init_ports();

// pin1 => pgd

// pin2 => pgc

// pin3
#define LEDB3			_LATB2
#define LEDB3_DIR		TRISBbits.TRISB2

// pin4 => not used

// pin5 => not used

// pin6
#define LEDG3			_LATB4
#define LEDG3_DIR		TRISBbits.TRISB4

// pin7
#define	LEDR3			_LATA4
#define LEDR3_DIR		TRISAbits.TRISA4

// pin8
#define LEDB1			_LATB7
#define LEDB1_DIR		TRISBbits.TRISB7

// pin9 used as I2C clock
#define I2C_SCL			_LATB8
#define	I2C_SCL_DIR		TRISBbits.TRISB8

// pin10 used as I2C data
#define I2C_SDA			_LATB9
#define	I2C_SDA_DIR		TRISBbits.TRISB9

// pin11
#define LEDG1			_LATA6
#define	LEDG1_DIR		TRISAbits.TRISA6

// pin12
#define LEDR1			_LATB12
#define	LEDR1_DIR		TRISBbits.TRISB12

// pin13
#define LEDB2			_LATB13
#define LEDB2_DIR		TRISBbits.TRISB13

// pin14
#define LEDG2			_LATB14
#define LEDG2_DIR		TRISBbits.TRISB14

// pin15
#define LEDR2			_LATB15
#define LEDR2_DIR		TRISBbits.TRISB15

// pin19 => not used

// pin20 => not used


#endif // _PORT_H
